Jdk (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.idea.model

## [Java] Class Jdk

- org.gradle.plugins.ide.idea.model.Jdk

- Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Jdk (String jdkName, IdeaLanguageLevel ideaLanguageLevel)`
    `Jdk (boolean assertKeyword, boolean jdk15, String languageLevel, String projectJdkName)`
    `Jdk (Object assertKeyword, Object jdk15, Object languageLevel, Object projectJdkName)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `boolean` | `getAssertKeyword()`
    `boolean` | `getJdk15()`
    `String` | `getLanguageLevel()`
    `String` | `getProjectJdkName()`
    `int` | `hashCode()`
    `boolean` | `isAssertKeyword()`
    `boolean` | `isJdk15()`
    `void` | `setAssertKeyword(boolean assertKeyword)`
    `void` | `setJdk15(boolean jdk15)`
    `void` | `setLanguageLevel(String languageLevel)`
    `void` | `setProjectJdkName(String projectJdkName)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)

    - #### public Jdk(boolean assertKeyword, boolean jdk15, String languageLevel, String projectJdkName)

    - #### @Deprecated public Jdk(Object assertKeyword, Object jdk15, Object languageLevel, Object projectJdkName)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public boolean getAssertKeyword()

    - #### public boolean getJdk15()

    - #### public String getLanguageLevel()

    - #### public String getProjectJdkName()

    - #### @Override public int hashCode()

    - #### public boolean isAssertKeyword()

    - #### public boolean isJdk15()

    - #### public void setAssertKeyword(boolean assertKeyword)

    - #### public void setJdk15(boolean jdk15)

    - #### public void setLanguageLevel(String languageLevel)

    - #### public void setProjectJdkName(String projectJdkName)

    - #### @Override public String toString()